package sharin.doc.builder.xhtml1;

public class LegendElem extends GenericCommonElem<LegendElem> {

    public LegendElem(Object... nodes) {
        super("legend", nodes);
    }

    public LegendElem accesskey(Object value) {
        return attr("accesskey", value);
    }

    public LegendElem align(Object value) {
        return attr("align", value);
    }

    public LegendElem alignBottom() {
        return align("bottom");
    }

    public LegendElem alignLeft() {
        return align("left");
    }

    public LegendElem alignRight() {
        return align("right");
    }

    public LegendElem alignTop() {
        return align("top");
    }
}
